Unit Testing Apps and Frameworks

Last Revision:
Version 4.0, 2017-09-19
Added Swift version. Added UI testing support.
(Full Revision History)
Build Requirements:
Xcode 8.3, iOS SDK 10.3 or later, macOS 10.12 or later
Runtime Requirements:
iOS 9.3 or later, mac OS 10.11 or later

Shows how to implement unit tests on a framework in iOS and macOS. Also demonstrate how to implement UI tests on iOS and macOS apps.